## Apache Zeta Components Manual :: Docs For Class ezcWorkflowExecutionPlugin

### Workflow::ezcWorkflowExecutionPlugin

### Class ezcWorkflowExecutionPlugin

Abstract base class for workflow execution engine plugins.

Source for this file: /Workflow/src/interfaces/execution_plugin.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcWorkflowExecutionVisualizerPlugin | Execution plugin that visualizes the execution.
ezcWorkflowSignalSlotPlugin | A workflow execution engine plugin that emits signals.

### Method Summary

public void | `afterExecutionCancelled( $execution )` Called after an execution has been cancelled.
public void | `afterExecutionEnded( $execution )` Called after an execution has successfully ended.
public void | `afterExecutionResumed( $execution )` Called after an execution has been resumed.
public void | `afterExecutionStarted( $execution )` Called after an execution has been started.
public void | `afterExecutionSuspended( $execution )` Called after an execution has been suspended.
public void | `afterNodeActivated( $execution , $node )` Called after a node has been activated.
public void | `afterNodeExecuted( $execution , $node )` Called after a node has been executed.
public void | `afterThreadEnded( $execution , $threadId )` Called after a thread has ended.
public void | `afterThreadStarted( $execution , $threadId , $parentId , $numSiblings )` Called after a new thread has been started.
public void | `afterVariableSet( $execution , $variableName , $value )` Called after a variable has been set.
public void | `afterVariableUnset( $execution , $variableName )` Called after a variable has been unset.
public bool | `beforeNodeActivated( $execution , $node )` Called before a node is activated.
public mixed | `beforeVariableSet( $execution , $variableName , $value )` Called before a variable is set.
public bool | `beforeVariableUnset( $execution , $variableName )` Called before a variable is unset.

### Methods

#### afterExecutionCancelled

void afterExecutionCancelled( ezcWorkflowExecution $execution )

Called after an execution has been cancelled.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterExecutionCancelled()` | Called after an execution has been cancelled.

#### afterExecutionEnded

void afterExecutionEnded( ezcWorkflowExecution $execution )

Called after an execution has successfully ended.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterExecutionEnded()` | Called after an execution has successfully ended.

#### afterExecutionResumed

void afterExecutionResumed( ezcWorkflowExecution $execution )

Called after an execution has been resumed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterExecutionResumed()` | Called after an execution has been resumed.

#### afterExecutionStarted

void afterExecutionStarted( ezcWorkflowExecution $execution )

Called after an execution has been started.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterExecutionStarted()` | Called after an execution has been started.

#### afterExecutionSuspended

void afterExecutionSuspended( ezcWorkflowExecution $execution )

Called after an execution has been suspended.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterExecutionSuspended()` | Called after an execution has been suspended.

#### afterNodeActivated

void afterNodeActivated( ezcWorkflowExecution $execution , ezcWorkflowNode $node )

Called after a node has been activated.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowExecutionVisualizerPlugin::afterNodeActivated()` | Called after a node has been activated.
`ezcWorkflowSignalSlotPlugin::afterNodeActivated()` | Called after a node has been activated.

#### afterNodeExecuted

void afterNodeExecuted( ezcWorkflowExecution $execution , ezcWorkflowNode $node )

Called after a node has been executed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowExecutionVisualizerPlugin::afterNodeExecuted()` | Called after a node has been executed.
`ezcWorkflowSignalSlotPlugin::afterNodeExecuted()` | Called after a node has been executed.

#### afterThreadEnded

void afterThreadEnded( ezcWorkflowExecution $execution , int $threadId )

Called after a thread has ended.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$threadId` | int |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterThreadEnded()` | Called after a thread has ended.

#### afterThreadStarted

void afterThreadStarted( ezcWorkflowExecution $execution , int $threadId , int $parentId , int $numSiblings )

Called after a new thread has been started.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$threadId` | int |
`$parentId` | int |
`$numSiblings` | int |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterThreadStarted()` | Called after a new thread has been started.

#### afterVariableSet

void afterVariableSet( ezcWorkflowExecution $execution , string $variableName , mixed $value )

Called after a variable has been set.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |
`$value` | mixed |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterVariableSet()` | Called after a variable has been set.

#### afterVariableUnset

void afterVariableUnset( ezcWorkflowExecution $execution , string $variableName )

Called after a variable has been unset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::afterVariableUnset()` | Called after a variable has been unset.

#### beforeNodeActivated

bool beforeNodeActivated( ezcWorkflowExecution $execution , ezcWorkflowNode $node )

Called before a node is activated.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::beforeNodeActivated()` | Called before a node is activated.

#### beforeVariableSet

mixed beforeVariableSet( ezcWorkflowExecution $execution , string $variableName , mixed $value )

Called before a variable is set.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |
`$value` | mixed |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::beforeVariableSet()` | Called before a variable is set.

#### beforeVariableUnset

bool beforeVariableUnset( ezcWorkflowExecution $execution , string $variableName )

Called before a variable is unset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$variableName` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcWorkflowSignalSlotPlugin::beforeVariableUnset()` | Called before a variable is unset.

Documentation generated by phpDocumentor 1.4.3